Summary:   Wrapper library for GNOME VTE
Name:      libvte-java 
Version:   0.12.0
Release:   0.FC5
URL:       http://java-gnome.sourceforge.net
Source0:   http://ftp.gnome.org/pub/GNOME/sources/%{name_base}/0.12/%{name}-%{version}.tar.bz2
License:   LGPL
Group:     Development/Libraries
BuildRoot: %{_tmppath}/libvte-java


Requires: 	/sbin/ldconfig
Requires: 	glib-java >= 0.2.4
Requires:	libgtk-java >= 2.8.4
Requires:	vte >= 0.12.1
BuildRequires:  java-devel >= 1.4.2, glib-java-devel >= 0.2.4
BuildRequires:	libgtk-java-devel >= 2.8.4
BuildRequires:  gcc-java >= 4.1.1, docbook-utils, vte-devel >= 0.12.1
BuildRequires: 	pkgconfig

%description 
libvte-java is a Java wrapper library for the GNOME VTE library. Allowing access
to the terminal widget from Java.

%package        devel
Summary:        Compressed Java source files for %{name}.
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
Compressed Java source for %{name}. This is useful if you are developing
applications with IDEs like Eclipse.



%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}


%build
%configure 

# FIXME: find a better solution for this
sed -i 's/^pic_flag=\"\"/pic_flag=\"\ \-fPIC\"/' libtool
sed -i 's/^compiler_c_o=\"no\"/compiler_c_o=\"yes\"/' libtool

make

# pack up the java source
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/^lib//")
zipfile=$PWD/$jarname$jarversion-src-%{version}.zip
pushd src/java
find -name \*.java | xargs touch --date=1/1/1970
zip -X -9 -r $zipfile . -i \*.java
popd


%install
rm -rf $RPM_BUILD_ROOT

make  DESTDIR=$RPM_BUILD_ROOT  install 

# rename doc dir to reflect package rename, if the names differ
if [ 'x%{name}' != 'x%{name}' ] ; then
	mv $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version} $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}
fi

# install the src zip and make a sym link
jarversion=$(echo -n %{version} | cut -d . -f -2)
jarname=$(echo -n %{name} | cut -d - -f 1 | sed "s/^lib//")
install -m 644 $jarname$jarversion-src-%{version}.zip $RPM_BUILD_ROOT%{_datadir}/java/
pushd $RPM_BUILD_ROOT%{_datadir}/java
ln -sf $jarname$jarversion-src-%{version}.zip $jarname$jarversion-src.zip
popd


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig 
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc doc/api AUTHORS ChangeLog COPYING INSTALL NEWS README 
%{_libdir}/*so*
%{_libdir}/*la
%{_libdir}/pkgconfig/*
%{_datadir}/java/*.jar

%files devel
%defattr(-,root,root)
%{_datadir}/java/*.zip

%changelog
* Wed Jun 14 2006 Stepan Kasal <skasal@redhat.com> - 0.12.0-0
- New version.
- Remove libgnomeui{,-devel} and libgnomecanvas{,-devel}; upstream have
  removed them from configure.ac.
- Try to build on s390x again.

* Wed May 24 2006 Ben Konrath <bkonrath@redhat.com> - 0.11.11.0.20060301.rh1-4
- Change mod time of all java source files for the src zip.
- Add libgnomeui{,-devel} and libgnomecanvas{,-devel}.

* Tue May 23 2006 Ben Konrath <bkonrath@redhat.com> -  0.11.11.0.20060301.rh1-3
- Add -X to src zip and ensure Config.java has the same mod time across
  platforms - needed for multilib.

* Wed May 10 2006 Matthias Clasen <mclasen@redhat.com> - 0.11.11.0.20060301.rh1-2
- Rebuild

* Wed Mar 01 2006 Adam Jocksch <ajocksch@redhat.com> - 0.11.11.0.20060301.rh1-1.1
- Fixed typo in Requires.

* Wed Mar 01 2006 Adam Jocksch <ajocksch@redhat.com> - 0.11.11.0.20060301.rh1-1
- Imported new tarball to address bg #183538, updated dependancies.

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 0.11.11-8.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.11.11-8.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 25 2006 Igor Foox <ifoox@redhat.com> - 0.11.11-8
- Excluding s390x.

* Wed Dec 21 2005 Jesse Keating <jkeating@redhat.com> - 0.11.11-7
- rebuilt again

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Nov 10 2005 Igor Foox <ifoox@redhat.com> - 0.11.11-6
- Initial import
